/* libosinfo-1.0.vapi generated by vapigen, do not modify. */

[CCode (cprefix = "Osinfo", lower_case_cprefix = "osinfo_", gir_namespace = "Libosinfo", gir_version = "1.0")]
namespace Osinfo {
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class Db : GLib.Object {
		public Osinfo.DbPrivate priv;
		[CCode (has_construct_function = false)]
		public Db ();
		public void add_deployment (Osinfo.Deployment deployment);
		public void add_device (Osinfo.Device device);
		public void add_os (Osinfo.Os os);
		public void add_platform (Osinfo.Platform platform);
		public unowned Osinfo.Deployment find_deployment (Osinfo.Os os, Osinfo.Platform platform);
		public unowned Osinfo.Deployment get_deployment (string id);
		public Osinfo.DeploymentList get_deployment_list ();
		public unowned Osinfo.Device get_device (string id);
		public Osinfo.DeviceList get_device_list ();
		public unowned Osinfo.Os get_os (string id);
		public Osinfo.OsList get_os_list ();
		public unowned Osinfo.Platform get_platform (string id);
		public Osinfo.PlatformList get_platform_list ();
		public unowned Osinfo.Os guess_os_from_media (Osinfo.Media media, out unowned Osinfo.Media? matched_media);
		public Osinfo.OsList unique_values_for_os_relationship (Osinfo.ProductRelationship relshp);
		public Osinfo.PlatformList unique_values_for_platform_relationship (Osinfo.ProductRelationship relshp);
		public GLib.List<weak string> unique_values_for_property_in_deployment (string propName);
		public GLib.List<weak string> unique_values_for_property_in_device (string propName);
		public GLib.List<weak string> unique_values_for_property_in_os (string propName);
		public GLib.List<weak string> unique_values_for_property_in_platform (string propName);
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class Deployment : Osinfo.Entity {
		public Osinfo.DeploymentPrivate priv;
		[CCode (has_construct_function = false)]
		public Deployment (string id, Osinfo.Os os, Osinfo.Platform platform);
		public unowned Osinfo.DeviceLink add_device (Osinfo.Device dev);
		public Osinfo.DeviceLinkList get_device_links (Osinfo.Filter? filter);
		public Osinfo.DeviceList get_devices (Osinfo.Filter? filter);
		public unowned Osinfo.Os get_os ();
		public unowned Osinfo.Platform get_platform ();
		public unowned Osinfo.Device get_preferred_device (Osinfo.Filter? filter);
		public unowned Osinfo.DeviceLink get_preferred_device_link (Osinfo.Filter? filter);
		public Osinfo.Os os { get; construct; }
		public Osinfo.Platform platform { get; construct; }
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class DeploymentList : Osinfo.List {
		public Osinfo.DeploymentListPrivate priv;
		[CCode (cname = "osinfo_deploymentlist_new", has_construct_function = false)]
		public DeploymentList ();
		[CCode (cname = "osinfo_deploymentlist_new_copy")]
		public Osinfo.DeploymentList new_copy ();
		[CCode (cname = "osinfo_deploymentlist_new_filtered")]
		public Osinfo.DeploymentList new_filtered (Osinfo.Filter filter);
		[CCode (cname = "osinfo_deploymentlist_new_intersection")]
		public Osinfo.DeploymentList new_intersection (Osinfo.DeploymentList sourceTwo);
		[CCode (cname = "osinfo_deploymentlist_new_union")]
		public Osinfo.DeploymentList new_union (Osinfo.DeploymentList sourceTwo);
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class Device : Osinfo.Entity {
		public Osinfo.DevicePrivate priv;
		[CCode (has_construct_function = false)]
		public Device (string id);
		public unowned string get_bus_type ();
		public unowned string get_class ();
		public unowned string get_name ();
		public unowned string get_product ();
		public unowned string get_vendor ();
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class DeviceLink : Osinfo.Entity {
		public Osinfo.DeviceLinkPrivate priv;
		[CCode (cname = "osinfo_devicelink_new", has_construct_function = false)]
		public DeviceLink (Osinfo.Device target);
		[CCode (cname = "osinfo_devicelink_get_driver")]
		public unowned string get_driver ();
		[CCode (cname = "osinfo_devicelink_get_target")]
		public unowned Osinfo.Device get_target ();
		public Osinfo.Device target { get; construct; }
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class DeviceLinkFilter : Osinfo.Filter {
		public Osinfo.DeviceLinkFilterPrivate priv;
		[CCode (cname = "osinfo_devicelinkfilter_new", has_construct_function = false)]
		public DeviceLinkFilter (Osinfo.Filter filter);
		[CCode (cname = "osinfo_devicelinkfilter_get_target_filter")]
		public unowned Osinfo.Filter get_target_filter ();
		public Osinfo.Filter target_filter { get; construct; }
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class DeviceLinkList : Osinfo.List {
		public Osinfo.DeviceLinkListPrivate priv;
		[CCode (cname = "osinfo_devicelinklist_new", has_construct_function = false)]
		public DeviceLinkList ();
		[CCode (cname = "osinfo_devicelinklist_get_devices")]
		public Osinfo.DeviceList get_devices (Osinfo.Filter? filter);
		[CCode (cname = "osinfo_devicelinklist_new_copy")]
		public Osinfo.DeviceLinkList new_copy ();
		[CCode (cname = "osinfo_devicelinklist_new_filtered")]
		public Osinfo.DeviceLinkList new_filtered (Osinfo.Filter filter);
		[CCode (cname = "osinfo_devicelinklist_new_intersection")]
		public Osinfo.DeviceLinkList new_intersection (Osinfo.DeviceLinkList sourceTwo);
		[CCode (cname = "osinfo_devicelinklist_new_union")]
		public Osinfo.DeviceLinkList new_union (Osinfo.DeviceLinkList sourceTwo);
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class DeviceList : Osinfo.List {
		public Osinfo.DeviceListPrivate priv;
		[CCode (cname = "osinfo_devicelist_new", has_construct_function = false)]
		public DeviceList ();
		[CCode (cname = "osinfo_devicelist_new_copy")]
		public Osinfo.DeviceList new_copy ();
		[CCode (cname = "osinfo_devicelist_new_filtered")]
		public Osinfo.DeviceList new_filtered (Osinfo.Filter filter);
		[CCode (cname = "osinfo_devicelist_new_intersection")]
		public Osinfo.DeviceList new_intersection (Osinfo.DeviceList sourceTwo);
		[CCode (cname = "osinfo_devicelist_new_union")]
		public Osinfo.DeviceList new_union (Osinfo.DeviceList sourceTwo);
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class Entity : GLib.Object {
		public Osinfo.EntityPrivate priv;
		public void add_param (string key, string value);
		public void clear_param (string key);
		public unowned string get_id ();
		public GLib.List<weak string> get_param_keys ();
		public unowned string get_param_value (string key);
		public GLib.List<weak string> get_param_value_list (string key);
		public void set_param (string key, string value);
		public string id { get; construct; }
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class Filter : GLib.Object {
		public Osinfo.FilterPrivate priv;
		[CCode (has_construct_function = false)]
		public Filter ();
		public void add_constraint (string propName, string propVal);
		public void clear_constraint (string propName);
		public void clear_constraints ();
		public GLib.List<weak string> get_constraint_keys ();
		public GLib.List<weak string> get_constraint_values (string propName);
		public virtual bool matches (Osinfo.Entity entity);
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class List : GLib.Object {
		public Osinfo.ListPrivate priv;
		public void add (Osinfo.Entity entity);
		public void add_all (Osinfo.List source);
		public void add_filtered (Osinfo.List source, Osinfo.Filter filter);
		public void add_intersection (Osinfo.List sourceOne, Osinfo.List sourceTwo);
		public void add_union (Osinfo.List sourceOne, Osinfo.List sourceTwo);
		public unowned Osinfo.Entity find_by_id (string id);
		public GLib.Type get_element_type ();
		public GLib.List<weak Osinfo.Entity> get_elements ();
		public int get_length ();
		public unowned Osinfo.Entity get_nth (int idx);
		public GLib.Type element_type { get; construct; }
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class Loader : GLib.Object {
		public Osinfo.LoaderPrivate priv;
		[CCode (has_construct_function = false)]
		public Loader ();
		public unowned Osinfo.Db get_db ();
		public void process_default_path () throws GLib.Error;
		public void process_path (string path) throws GLib.Error;
		public void process_uri (string uri) throws GLib.Error;
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class Media : Osinfo.Entity {
		public Osinfo.MediaPrivate priv;
		[CCode (has_construct_function = false)]
		public Media (string id, string architecture);
		public static Osinfo.Media create_from_location (string location, GLib.Cancellable? cancellable) throws GLib.Error;
		public static async Osinfo.Media create_from_location_async (string location, int priority, GLib.Cancellable? cancellable) throws GLib.Error;
		public static GLib.Quark error_quark ();
		public unowned string get_architecture ();
		public unowned string get_initrd_path ();
		public bool get_installer ();
		public unowned string get_kernel_path ();
		public bool get_live ();
		public unowned string get_publisher_id ();
		public unowned string get_system_id ();
		public unowned string get_url ();
		public unowned string get_volume_id ();
		public string architecture { get; set; }
		public string initrd_path { get; set; }
		public bool installer { get; set construct; }
		public string kernel_path { get; set; }
		public bool live { get; set construct; }
		public string publisher_id { get; set; }
		public string system_id { get; set; }
		public string url { get; set; }
		public string volume_id { get; set; }
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class MediaList : Osinfo.List {
		public Osinfo.MediaListPrivate priv;
		[CCode (cname = "osinfo_medialist_new", has_construct_function = false)]
		public MediaList ();
		[CCode (cname = "osinfo_medialist_new_copy")]
		public Osinfo.MediaList new_copy ();
		[CCode (cname = "osinfo_medialist_new_filtered")]
		public Osinfo.MediaList new_filtered (Osinfo.Filter filter);
		[CCode (cname = "osinfo_medialist_new_intersection")]
		public Osinfo.MediaList new_intersection (Osinfo.MediaList sourceTwo);
		[CCode (cname = "osinfo_medialist_new_union")]
		public Osinfo.MediaList new_union (Osinfo.MediaList sourceTwo);
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class Os : Osinfo.Product {
		public Osinfo.OsPrivate priv;
		[CCode (has_construct_function = false)]
		public Os (string id);
		public unowned Osinfo.DeviceLink add_device (Osinfo.Device dev);
		public void add_media (Osinfo.Media media);
		public void add_minimum_resources (Osinfo.Resources resources);
		public void add_recommended_resources (Osinfo.Resources resources);
		public Osinfo.DeviceLinkList get_device_links (Osinfo.Filter? filter);
		public Osinfo.DeviceList get_devices (Osinfo.Filter? filter);
		public unowned string get_family ();
		public Osinfo.MediaList get_media_list ();
		public Osinfo.ResourcesList get_minimum_resources ();
		public Osinfo.ResourcesList get_recommended_resources ();
		public string family { get; }
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class OsList : Osinfo.ProductList {
		public Osinfo.OsListPrivate priv;
		[CCode (cname = "osinfo_oslist_new", has_construct_function = false)]
		public OsList ();
		[CCode (cname = "osinfo_oslist_new_copy")]
		public Osinfo.OsList new_copy ();
		[CCode (cname = "osinfo_oslist_new_filtered")]
		public Osinfo.OsList new_filtered (Osinfo.Filter filter);
		[CCode (cname = "osinfo_oslist_new_intersection")]
		public Osinfo.OsList new_intersection (Osinfo.OsList sourceTwo);
		[CCode (cname = "osinfo_oslist_new_union")]
		public Osinfo.OsList new_union (Osinfo.OsList sourceTwo);
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class Platform : Osinfo.Product {
		public Osinfo.PlatformPrivate priv;
		[CCode (has_construct_function = false)]
		public Platform (string id);
		public unowned Osinfo.DeviceLink add_device (Osinfo.Device dev);
		public Osinfo.DeviceLinkList get_device_links (Osinfo.Filter? filter);
		public Osinfo.DeviceList get_devices (Osinfo.Filter? filter);
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class PlatformList : Osinfo.ProductList {
		public Osinfo.PlatformListPrivate priv;
		[CCode (cname = "osinfo_platformlist_new", has_construct_function = false)]
		public PlatformList ();
		[CCode (cname = "osinfo_platformlist_new_copy")]
		public Osinfo.PlatformList new_copy ();
		[CCode (cname = "osinfo_platformlist_new_filtered")]
		public Osinfo.PlatformList new_filtered (Osinfo.Filter filter);
		[CCode (cname = "osinfo_platformlist_new_intersection")]
		public Osinfo.PlatformList new_intersection (Osinfo.PlatformList sourceTwo);
		[CCode (cname = "osinfo_platformlist_new_union")]
		public Osinfo.PlatformList new_union (Osinfo.PlatformList sourceTwo);
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class Product : Osinfo.Entity {
		public Osinfo.ProductPrivate priv;
		public void add_related (Osinfo.ProductRelationship relshp, Osinfo.Product otherproduct);
		public unowned string get_name ();
		public Osinfo.ProductList get_related (Osinfo.ProductRelationship relshp);
		public unowned string get_short_id ();
		public unowned string get_vendor ();
		public unowned string get_version ();
		public string name { get; }
		public string short_id { get; }
		public string vendor { get; }
		public string version { get; }
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class ProductFilter : Osinfo.Filter {
		public Osinfo.ProductFilterPrivate priv;
		[CCode (cname = "osinfo_productfilter_new", has_construct_function = false)]
		public ProductFilter ();
		[CCode (cname = "osinfo_productfilter_add_product_constraint")]
		public int add_product_constraint (Osinfo.ProductRelationship relshp, Osinfo.Product product);
		[CCode (cname = "osinfo_productfilter_clear_product_constraint")]
		public void clear_product_constraint (Osinfo.ProductRelationship relshp);
		[CCode (cname = "osinfo_productfilter_clear_product_constraints")]
		public void clear_product_constraints ();
		[CCode (cname = "osinfo_productfilter_get_product_constraint_values")]
		public GLib.List<weak Osinfo.Product> get_product_constraint_values (Osinfo.ProductRelationship relshp);
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class ProductList : Osinfo.List {
		public Osinfo.ProductListPrivate priv;
		[CCode (cname = "osinfo_productlist_new", has_construct_function = false)]
		public ProductList ();
		[CCode (cname = "osinfo_productlist_new_copy")]
		public Osinfo.ProductList new_copy ();
		[CCode (cname = "osinfo_productlist_new_filtered")]
		public Osinfo.ProductList new_filtered (Osinfo.Filter filter);
		[CCode (cname = "osinfo_productlist_new_intersection")]
		public Osinfo.ProductList new_intersection (Osinfo.ProductList sourceTwo);
		[CCode (cname = "osinfo_productlist_new_union")]
		public Osinfo.ProductList new_union (Osinfo.ProductList sourceTwo);
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class Resources : Osinfo.Entity {
		public Osinfo.ResourcesPrivate priv;
		[CCode (has_construct_function = false)]
		public Resources (string id, string architecture);
		public unowned string get_architecture ();
		public int64 get_cpu ();
		public int get_n_cpus ();
		public int64 get_ram ();
		public int64 get_storage ();
		public void set_cpu (int64 cpu);
		public void set_n_cpus (int n_cpus);
		public void set_ram (int64 ram);
		public void set_storage (int64 storage);
		public string architecture { get; construct; }
		public int64 cpu { get; set; }
		public int n_cpus { get; set; }
		public int64 ram { get; set; }
		public int64 storage { get; set; }
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public class ResourcesList : Osinfo.List {
		public Osinfo.ResourcesListPrivate priv;
		[CCode (cname = "osinfo_resourceslist_new", has_construct_function = false)]
		public ResourcesList ();
		[CCode (cname = "osinfo_resourceslist_new_copy")]
		public Osinfo.ResourcesList new_copy ();
		[CCode (cname = "osinfo_resourceslist_new_filtered")]
		public Osinfo.ResourcesList new_filtered (Osinfo.Filter filter);
		[CCode (cname = "osinfo_resourceslist_new_intersection")]
		public Osinfo.ResourcesList new_intersection (Osinfo.ResourcesList sourceTwo);
		[CCode (cname = "osinfo_resourceslist_new_union")]
		public Osinfo.ResourcesList new_union (Osinfo.ResourcesList sourceTwo);
	}
	[CCode (type_id = "OSINFO_TYPE_DB_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct DbPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_DEPLOYMENT_LIST_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct DeploymentListPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_DEPLOYMENT_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct DeploymentPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_DEVICE_LINK_FILTER_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct DeviceLinkFilterPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_DEVICE_LINK_LIST_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct DeviceLinkListPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_DEVICE_LINK_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct DeviceLinkPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_DEVICE_LIST_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct DeviceListPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_DEVICE_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct DevicePrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_ENTITY_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct EntityPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_FILTER_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct FilterPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_LIST_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct ListPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_LOADER_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct LoaderPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_MEDIA_LIST_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct MediaListPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_MEDIA_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct MediaPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_OS_LIST_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct OsListPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_OS_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct OsPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_PLATFORM_LIST_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct PlatformListPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_PLATFORM_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct PlatformPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_PRODUCT_FILTER_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct ProductFilterPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_PRODUCT_LIST_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct ProductListPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_PRODUCT_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct ProductPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_RESOURCES_LIST_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct ResourcesListPrivate {
	}
	[CCode (type_id = "OSINFO_TYPE_RESOURCES_PRIVATE", cheader_filename = "osinfo/osinfo.h")]
	public struct ResourcesPrivate {
	}
	[CCode (cprefix = "OSINFO_MEDIA_ERROR_", cheader_filename = "osinfo/osinfo.h")]
	public enum MediaError {
		NO_DESCRIPTORS,
		NO_PVD,
		NO_SVD,
		INSUFFICIENT_METADATA,
		NOT_BOOTABLE
	}
	[CCode (cprefix = "OSINFO_PRODUCT_RELATIONSHIP_", cheader_filename = "osinfo/osinfo.h")]
	public enum ProductRelationship {
		DERIVES_FROM,
		UPGRADES,
		CLONES
	}
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string ARCHITECTURE_ALL;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string DEVICELINK_PROP_DRIVER;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string DEVICE_PROP_BUS_TYPE;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string DEVICE_PROP_CLASS;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string DEVICE_PROP_NAME;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string DEVICE_PROP_PRODUCT;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string DEVICE_PROP_VENDOR;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const int GIBIBYTES;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const int KIBIBYTES;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const int MEBIBYTES;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string MEDIA_PROP_ARCHITECTURE;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string MEDIA_PROP_INITRD;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string MEDIA_PROP_INSTALLER;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string MEDIA_PROP_KERNEL;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string MEDIA_PROP_LIVE;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string MEDIA_PROP_PUBLISHER_ID;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string MEDIA_PROP_SYSTEM_ID;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string MEDIA_PROP_URL;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string MEDIA_PROP_VOLUME_ID;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const int MEGAHERTZ;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string OS_PROP_FAMILY;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string PRODUCT_PROP_NAME;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string PRODUCT_PROP_SHORT_ID;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string PRODUCT_PROP_VENDOR;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string PRODUCT_PROP_VERSION;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string RESOURCES_PROP_ARCHITECTURE;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string RESOURCES_PROP_CPU;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string RESOURCES_PROP_N_CPUS;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string RESOURCES_PROP_RAM;
	[CCode (cheader_filename = "osinfo/osinfo.h")]
	public const string RESOURCES_PROP_STORAGE;
}
